<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Rest API Example</title>
    <link rel="stylesheet" type="text/css" href="custom.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha256-YLGeXaapI0/5IgZopewRJcFXomhRMlYYjugPLSyNjTY=" crossorigin="anonymous" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"
        integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha256-CjSoeELFOcH0/uxWu6mC/Vlrc1AARqbm/jiiImDGV3s=" crossorigin="anonymous"></script>
<!-- 
        <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script> -->
</head>

<body>
    <nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
        <a class="navbar-brand" href="#">Login</a>
    </nav>
    <main role="main" class="container starter-template">

        <h2>Login</h2>

        <form id='login_form'>
            <div class='form-group'>
                <label for='email'>Email address</label>
                <input type='email' class='form-control' id='email' name='email' placeholder='Enter email'>
            </div>

            <div class='form-group'>
                <label for='password'>Password</label>
                <input type='password' class='form-control' id='password' name='password' placeholder='Password'>
            </div>
            <div class='form-group'>
                <div id="error" class="text-danger"></div>
            </div>
            <button type='submit' class='btn btn-primary'>Login</button>
        </form>
    </main>
    <script>
        $(document).ready(function () {
            $(document).on('submit', '#login_form', function (e) {
                e.preventDefault();
                const email = $.trim($('#email').val());
                const password = $.trim($('#password').val());

                //if (email !== '' && password !== '') {
                $.ajax({
                    url: 'http://api.wnp.test:8085/v2/login',
                    type: "GET",
                    crossDomain: true,
                    timeout: 60000,
                    cache: false,
                    data: {
                        'email': email,
                        'password': password,
                    },
                    beforeSend: function () {
                        $('#error').html('');
                    },
                    error: function (xhr, ajaxOptions, thrownError) {

                        const json = JSON.parse(xhr.responseText);

                        $('#error').html(json.message);
                    },
                    success: function (result) {

                        localStorage.setItem('token', result.token); 
                        window.location.href = "product.html";
                    }
                });

                //}



            });
        });
    </script>

</body>

</html>